/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  gLite SRM Util - get common functions
 *
 *  Authors: Paolo Badino <Paolo.Badino@cern.ch>
 *  Version info: $Id: get-common.h,v 1.1 2007/02/01 11:00:21 badino Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_SRM_UTIL_CPP_GET_COMMON_H_
#define GLITE_DATA_SRM_UTIL_CPP_GET_COMMON_H_

#include "util-main.h"
#include "glite/data/srm/util/Context.h"

#include "glite/data/srm/util/PrepareToGet.h"
#include "glite/data/srm/util/SrmExceptions.h"

/**
 * print a get request
 */
void print_request(const glite::data::srm::util::PrepareToGet& request);

#endif //GLITE_DATA_SRM_UTIL_CPP_GET_COMMON_H_
