#!/bin/bash 
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#-------------------------------------------------------------------------------
# Unit tests for org.glite.data.srm-util-cpp
# Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
# Version info: $Id: stub.sh,v 1.1 2009/08/03 14:15:01 molnarzs Exp $
# Release: $Name:  $
#-------------------------------------------------------------------------------

. stub_common.sh

function usage() {
    echo -e "\nUsage: `basename $0` start|stop"
    exit 1
}

case "$1" in
start)
    start_stub_servers
    ;;
stop)
    stop_stub_servers
    ;;
*)
    usage
    ;;
esac
