/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: Srm 2.2 Server logging utilities
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: log.h,v 1.3 2008/11/20 11:44:48 ptedesco Exp $
 *  Release: $Name:  $
 *
 */

#ifndef GLITE_DATA_SRM_UTIL_CPP_TEST_2_2_STUB_LOG_H_ 
#define GLITE_DATA_SRM_UTIL_CPP_TEST_2_2_STUB_LOG_H_ 
 
#include <log4cpp/Category.hh>

#define TRACE_LOG(a) log4cpp::Category::getInstance("srm2-service-stub").debugStream() << a
#define TRACE_ERR(a) log4cpp::Category::getInstance("srm2-service-stub").errorStream() << a

#endif // GLITE_DATA_SRM_UTIL_CPP_TEST_2_2_STUB_LOG_H_ 


